#
# IOfficeDocument - Office Document class interface
#
# (c) Copyright 2002 by Philipp "philiKON" von Weitershausen
#                       philikon@philikon.de
#
# Released unter the terms of the Mozilla Public License (MPL) v1.1
#
# Please see README.txt for further information
#

"""
Office Document class interface

$Id: IOfficeDocument.py,v 1.1 2002/11/15 22:10:32 philipp Exp $
"""

from Interface import Base

class IOfficeDocument( Base ):
    """
    Office Document class interface
    """

    def __init__( fileobj ):
        """
        fileobj is a file object returned by open() or StringIO for example
        """

    def getDocType():
        """
        Return the type of document (writer, spreadsheet, etc.)
        """

    def getMetaData():
        """
        Return the meta data
        """

    def getFile( filename ):
        """
        Return the contents (as string) of an embedded file
        filename is the name or the identifier of the file
        """

    def getFiles( self, files ):
        """
        Returns a dictionary with filenames as keys and the picture file contents as values
        files can either be a sequence of filenames or a pattern
        """

    def getPictures():
        """
        Extract the pictures embedded into the document. Return format is like getFiles
        """
