#
# ZooDocument - Zope OpenOffice Document
#
# (c) Copyright 2002 by Philipp "philiKON" von Weitershausen
#                       philikon@philikon.de
#
# Released unter the terms of the Mozilla Public License (MPL) v1.1
#
# Please see README.txt for further information
#

"""
ZooDocument - Zope OpenOffice Document

$Id: __init__.py,v 1.4 2002/11/09 22:40:33 philipp Exp $
"""

from ZooDocument import ZooDocument, addZooDocument, addZooDocumentForm
from ImageFile import ImageFile


misc_ = { 'zoodoc.png':       ImageFile( 'www/zoodoc.png', globals() ),
          'text.png':         ImageFile( 'www/text.png', globals() ),
          'spreadsheet.png':  ImageFile( 'www/spreadsheet.png', globals() ),
          'drawing.png':      ImageFile( 'www/drawing.png', globals() ),
          'presentation.png': ImageFile( 'www/presentation.png', globals() ) }


methods = { "availableProcessors": ZooDocument.availableProcessors }


def initialize(context):
    """
    Initialize the Zoo product
    """
    context.registerClass( ZooDocument,
                           constructors = ( addZooDocumentForm, addZooDocument ),
                           icon = "www/zoodoc.png" )

